Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Registry::Object Class Reference

An object representation. More...

`#include <Registry.h>`

List of all members.

## Public Member Functions
| Object (void *data=0, u_long size=0, u_long type=REG_NONE)
| Default constructor.
void | data (void *data)
| Set data.
void * | data (void) const
| Get data.
void | size (u_long size)
| Set size.
u_long | size (void) const
| Get size.
void | type (u_long type)
| Set type.
u_long | type (void) const
| Get type.
## Private Attributes
void * | data_
| Pointer to data.
u_long | size_
| Size of the data.
u_long | type_
| Type of data.

## Detailed Description

An object representation.

In CORBA, all objects inherit from (CORBA::Object). For the registry, this is used as a wrapper for an instance of a built-in data type. Think about an object as being similar to a file in a file system.

## Constructor & Destructor Documentation

ACE_Registry::Object::Object | ( | void * | data = `0`,
|  | u_long | size = `0`,
|  | u_long | type = `REG_NONE`
| ) |

| Default constructor.

## Member Function Documentation

void * ACE_Registry::Object::data | ( | void |  | ) | const

| Get data.

void ACE_Registry::Object::data | ( | void * | data | ) |

| Set data.

u_long ACE_Registry::Object::size | ( | void |  | ) | const

| Get size.

void ACE_Registry::Object::size | ( | u_long | size | ) |

| Set size.

u_long ACE_Registry::Object::type | ( | void |  | ) | const

| Get type.

void ACE_Registry::Object::type | ( | u_long | type | ) |

| Set type.

## Member Data Documentation

void* ACE_Registry::Object::data_`[private]`

| Pointer to data.

u_long ACE_Registry::Object::size_`[private]`

| Size of the data.

u_long ACE_Registry::Object::type_`[private]`

| Type of data.

The documentation for this class was generated from the following files:

- Registry.h
- Registry.cpp